## python-aiohttp-session 2.9.0

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

flake:
	flake8 aiohttp_session tests 


test: flake
	py.test ./tests/

vtest: flake develop
	py.test ./tests/

cov cover coverage: flake
	py.test --cov aiohttp_session --cov-report html ./tests/
	@echo "open file://`pwd`/coverage/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover
	# make -C docs clean
	python setup.py clean

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all build venv flake test vtest testloop cov clean doc

=== debian/changelog ===
python-aiohttp-session (2.9.0-2) unstable; urgency=medium

  * Fix architecture (any -> all)
  * Add demo files to -doc

 -- Martin <debacle@debian.org>  Fri, 27 Dec 2019 10:34:03 +0000

python-aiohttp-session (2.9.0-1) unstable; urgency=medium

  * Initial release (Closes: #946968)

 -- Martin <debacle@debian.org>  Sun, 22 Dec 2019 11:43:43 +0000

=== debian/control ===
Source: python-aiohttp-session
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 11),
	       dh-python,
	       python3-aiohttp,
	       python3-aioredis,
	       python3-all,
	       python3-attr,
	       python3-chardet,
	       python3-cryptography,
	       python3-flake8,
	       python3-multidict,
	       python3-nacl,
	       python3-pytest,
	       python3-pytest-cov,
	       python3-pytest-mock,
	       python3-pytest-sugar,
	       python3-sphinx,
	       python3-yarl,
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://github.com/aio-libs/aiohttp-session
Vcs-Git: https://salsa.debian.org/python-team/modules/python-aiohttp-session.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aiohttp-session

Package: python3-aiohttp-session
Architecture: all
Depends: ${python3:Depends},
	 ${misc:Depends}
Description: provides sessions for aiohttp.web
 The library allows us to store user-specific data into a session object.
 .
 The session object has a dict-like interface (operations like
 session[key] = value, value = session[key] etc. are present).
 .
 Before processing the session in a web-handler, you have to register the
 session middleware in aiohttp.web.Application.

Package: python-aiohttp-session-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: provides sessions for aiohttp.web (documentation)
 The library allows us to store user-specific data into a session object.
 .
 The session object has a dict-like interface (operations like
 session[key] = value, value = session[key] etc. are present).
 .
 Before processing the session in a web-handler, you have to register the
 session middleware in aiohttp.web.Application.
 .
 This package provides the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}
# testing disabled for now, because of missing packages
export PYBUILD_DISABLE=test
export PYBUILD_NAME=aiohttp_session

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs/ ; $(MAKE) html

## python-aiohttp-session 2.11.0

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,24 @@
 # Some simple testing tasks (sorry, UNIX only).
 
-flake:
-	flake8 aiohttp_session tests 
+setup:
+	pip install -r requirements-dev.txt
+	python -m pre_commit install
+
+flake fmt:
+	python -m pre_commit run --all-files
 
 
-test: flake
+test:
 	py.test ./tests/
 
-vtest: flake develop
+mypy lint: fmt
+	mypy
+
+vtest: develop
 	py.test ./tests/
 
-cov cover coverage: flake
-	py.test --cov aiohttp_session --cov-report html ./tests/
+cov cover coverage:
+	py.test --cov aiohttp_session --cov-report html --cov-report=xml ./tests/
 	@echo "open file://`pwd`/coverage/index.html"
 
 clean:
@@ -34,4 +41,4 @@
 	make -C docs html
 	@echo "open file://`pwd`/docs/_build/html/index.html"
 
-.PHONY: all build venv flake test vtest testloop cov clean doc
+.PHONY: all build venv flake test vtest testloop cov clean doc lint

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aiohttp_session.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aiohttp_session.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aiohttp_session"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aiohttp_session"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-aiohttp-session (2.11.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 18 Oct 2022 20:27:49 +0000

python-aiohttp-session (2.9.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/watch file, using github.
  * Update standards version to 4.1.5, no changes needed.
  * Apply multi-arch hints. + python-aiohttp-session-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:26:30 +0100

python-aiohttp-session (2.9.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 22:13:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-aiohttp-session
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       python3-aiohttp,
 	       python3-aioredis,
@@ -20,11 +20,11 @@
 	       python3-pytest-sugar,
 	       python3-sphinx,
 	       python3-yarl,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Homepage: https://github.com/aio-libs/aiohttp-session
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-aiohttp-session.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aiohttp-session
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp-session.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp-session
 
 Package: python3-aiohttp-session
 Architecture: all
@@ -44,6 +44,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: provides sessions for aiohttp.web (documentation)
  The library allows us to store user-specific data into a session object.
  .

=== debian/rules ===
#!/usr/bin/make -f

export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

# testing disabled for now, because of missing packages
export PYBUILD_DISABLE=test
export PYBUILD_NAME=aiohttp_session

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs/ ; $(MAKE) html

## python-aiohttp-session 2.12.0

=== debian/changelog ===
python-aiohttp-session (2.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace python3-aioredis build-dependency with python3-redis.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2024 18:24:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       python3-aiohttp,
-	       python3-aioredis,
 	       python3-all,
 	       python3-attr,
 	       python3-chardet,
@@ -18,6 +17,7 @@
 	       python3-pytest-cov,
 	       python3-pytest-mock,
 	       python3-pytest-sugar,
+	       python3-redis,
 	       python3-sphinx,
 	       python3-yarl,
 Standards-Version: 4.1.5

## python-aiohttp-session 2.12.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 flake fmt:
 	python -m pre_commit run --all-files
-
 
 test:
 	py.test ./tests/

=== requirements.txt ===
-e .
aiohttp==3.10.6
aiomcache==0.8.1
cryptography==43.0.1
docker==7.1.0
multidict==6.0.4
pynacl==1.5.0
pytest==7.4.3
pytest-aiohttp==1.0.5
pytest-cov==4.1.0
pytest-mock==3.12.0
pytest-sugar==0.9.7
redis==5.0.1
yarl==1.12.1

=== debian/changelog ===
python-aiohttp-session (2.12.1-4) unstable; urgency=medium

  * Team upload.
  * Make test_clear_cookie_on_session_invalidation more robust (closes:
    #1117423).
  * Disable coverage in tests, fixing autopkgtests.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 02:45:30 +0100

python-aiohttp-session (2.12.1-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100259).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 18:22:46 +0000

python-aiohttp-session (2.12.1-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090128).

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Dec 2024 15:36:56 +0000

python-aiohttp-session (2.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Run most tests at build-time.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Sep 2024 20:10:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,26 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
-	       dh-python,
-	       python3-aiohttp,
+	       dh-sequence-python3,
+	       dh-sequence-sphinxdoc,
+	       pybuild-plugin-pyproject,
+	       python3-aiohttp (>= 3.10),
+	       python3-aiomcache,
 	       python3-all,
 	       python3-attr,
 	       python3-chardet,
 	       python3-cryptography,
+	       python3-docker,
 	       python3-flake8,
 	       python3-multidict,
 	       python3-nacl,
 	       python3-pytest,
+	       python3-pytest-aiohttp,
 	       python3-pytest-cov,
 	       python3-pytest-mock,
 	       python3-pytest-sugar,
 	       python3-redis,
+	       python3-setuptools,
 	       python3-sphinx,
 	       python3-yarl,
 Standards-Version: 4.1.5
@@ -25,6 +31,7 @@
 Homepage: https://github.com/aio-libs/aiohttp-session
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp-session.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp-session
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-aiohttp-session
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

export PYBUILD_NAME = aiohttp_session
# These tests require Docker.
export PYBUILD_TEST_ARGS = \
	--no-cov \
	-k 'not test_memcached_storage and not test_redis_storage'

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs/ ; $(MAKE) html

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/aiohttp-session-$1\.tar\.gz/ https://github.com/aio-libs/aiohttp-session/tags .*\/v(\d\S+)\.tar\.gz
